curl --request POST \
--url https://preview.intermezzo.ai/gb/organizations/{organization_id}/payrolls/bacs-file/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"valid": true,
"paymentCount": 0,
"totalPence": 0,
"processingDate": "2023-12-25",
"originatorRef": "<string>",
"errors": [
{
"line": 123,
"severity": "error",
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"line": 123,
"severity": "error",
"code": "<string>",
"message": "<string>"
}
]
}Upload and validate a BACS 0/1/9 format payment file. The file is not saved.
curl --request POST \
--url https://preview.intermezzo.ai/gb/organizations/{organization_id}/payrolls/bacs-file/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"valid": true,
"paymentCount": 0,
"totalPence": 0,
"processingDate": "2023-12-25",
"originatorRef": "<string>",
"errors": [
{
"line": 123,
"severity": "error",
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"line": 123,
"severity": "error",
"code": "<string>",
"message": "<string>"
}
]
}Get token from Auth0 and paste it here
Was this page helpful?